#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Object
%define		pnam	MultiType
%include	/usr/lib/rpm/macros.perl
Summary:	Object::MultiType - Perl objects as hash, array, scalar, code and glob at the same time
Summary(pl.UTF-8):	Object::MultiType - obiekty perlowe jako hasze, tablice, skalary, kod i globy jednocześnie
Name:		perl-Object-MultiType
Version:	0.05
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	171ed010dab19fb8b94f22a5fca97814
URL:		http://search.cpan.org/dist/Object-MultiType/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module returns an object that works like a Hash, Array, Scalar,
Code and Glob object at the same time.

The usual way is to call it from your module at new().

%description -l pl.UTF-8
Ten moduł zwraca obiekt działający jako hasz, tablica, skalar, kod i
glob jednocześnie. Zwykle wywołuje się go przy new().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Object/MultiType.pm
%{_mandir}/man3/*
%changelog
* Sun Mar 11 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Object-MultiType.git;a=log;h=master

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 25d795f
- use generic url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f19dbd
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7db6aef
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 75d8458
- converted to UTF-8

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> 90acc55
- updated to 0.05

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 7a0fa96
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> b4fbcb6
- rel. 2

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 5d4bbaf
- cosmetics: unification

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> c7fc708
- some summary, description and license fixes

* Sun Mar 28 2004 Jakub Bogusz <qboosh@pld-linux.org> dbc89e9
- pl

* Sun Mar 28 2004 migo <migo@pld-linux.org> a91bb39
- initial revision

